/
/ String equal.
/

	.globl	streq

/
/ streq(a, b)
/ char *a, *b;
/ Returns true if equal.
/

streq:	jsr	r0,__csav	/ Linkage.

	mov	12(r5),r2	/ Pick up `a'
	mov	14(r5),r3	/ And `b'
	clr	r0		/ Default to `false'

0:	cmpb	(r2)+,(r3)	/ Are they the same
	bne	0f		/ No
	tstb	(r3)+		/ At the end of the string
	bne	0b		/ No
	inc	r0		/ Make value `true'

0:	jmp	__cret		/ Return
